javax.swing.plaf.basic

## Class BasicComboPopup.ItemHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboPopup.ItemHandler

All Implemented Interfaces:
  ItemListener, EventListener

Enclosing class:
  BasicComboPopup

    protected class BasicComboPopup.ItemHandler
    extends Object
    implements ItemListener

This listener watches for changes to the selection in the combo box.

### Constructor Summary

Constructors
`protected` `BasicComboPopup.ItemHandler()`

### Method Summary

Methods
`void` `itemStateChanged(ItemEvent e)` Invoked when an item has been selected or deselected by the user.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicComboPopup.ItemHandler

    protected BasicComboPopup.ItemHandler()

### Method Detail

#### itemStateChanged

    public void itemStateChanged(ItemEvent e)

Description copied from interface: `ItemListener`
Invoked when an item has been selected or deselected by the user. The code written for this method performs the operations that need to occur when an item is selected (or deselected).

Specified by:
  `itemStateChanged` in interface `ItemListener`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.